aboutsummaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorPetr Štetiar <ynezz@true.cz>2018-11-09 12:27:12 +0100
committerJohn Crispin <john@phrozen.org>2018-11-26 12:05:45 +0100
commit41770add03ad77a0ce41ed424ad050238f7d9272 (patch)
treef1498cb3b6c3bd260c9aeca0fa11dc6b3a5ba1d4 /package
parent975019b3a755ec3b91864b60b45e5ee104075096 (diff)
downloadupstream-41770add03ad77a0ce41ed424ad050238f7d9272.tar.gz
upstream-41770add03ad77a0ce41ed424ad050238f7d9272.tar.bz2
upstream-41770add03ad77a0ce41ed424ad050238f7d9272.zip
base-files: fwtool: Fix wrong checksum on combined-image with metadata
If I create following image: define Device/engenius-m36 IMAGE/sysupgrade.bin := combined-image | append-metadata endef Sysupgrade then errors out: Invalid image. Contents do not match checksum (image:cd285595eaf297370404ae0e2815ec1a calculated:2cf9a2286fb6b01af3ea189128017d44) Image check 'platform_check_image' failed. By removing the metadata from the image I get combined-image checksum working again and sysupgrade works. Signed-off-by: Petr Štetiar <ynezz@true.cz>
Diffstat (limited to 'package')
-rw-r--r--package/base-files/files/lib/upgrade/fwtool.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/lib/upgrade/fwtool.sh b/package/base-files/files/lib/upgrade/fwtool.sh
index 3f28fccd90..e0e5c96c89 100644
--- a/package/base-files/files/lib/upgrade/fwtool.sh
+++ b/package/base-files/files/lib/upgrade/fwtool.sh
@@ -28,7 +28,7 @@ fwtool_check_image() {
. /usr/share/libubox/jshn.sh
- if ! fwtool -q -i /tmp/sysupgrade.meta "$1"; then
+ if ! fwtool -q -t -i /tmp/sysupgrade.meta "$1"; then
echo "Image metadata not found"
[ "$REQUIRE_IMAGE_METADATA" = 1 -a "$FORCE" != 1 ] && {
echo "Use sysupgrade -F to override this check when downgrading or flashing to vendor firmware"